commit:     d9317d5ff48f55aab1db7e53cf40523c137a24f5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 17 05:39:37 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 17 05:56:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9317d5f

dev-python/tqdm: Bump to 4.48.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tqdm/Manifest           |  1 +
 dev-python/tqdm/tqdm-4.48.0.ebuild | 58 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/tqdm/Manifest b/dev-python/tqdm/Manifest
index 0a8f549d089..4d04dae94ba 100644
--- a/dev-python/tqdm/Manifest
+++ b/dev-python/tqdm/Manifest
@@ -1,3 +1,4 @@
 DIST tqdm-4.40.0.tar.gz 129225 BLAKE2B 
85030c11bdba6c1d6da461e3c648bae6ae173577fb18986e3153badd73a28352f807782759aa52ed082d7ee0c13dc5f850c1da563ee5892f6bf5e8f49c48c7ee
 SHA512 
1c326d98130c79f614cea502723e4202baa57b7b4639e208133cb464785e4a8d4eaa9d262ea484246d45e5eb8f21994e7ecf3fd6ef0f4966f9049fc8013d7442
 DIST tqdm-4.45.0.tar.gz 140990 BLAKE2B 
8699b3a820859406e9bbafaaa48ba1b418e3083898d2b6c3401078996dd03431db259d5ad8a377226a50b80513ef0fc55bdaf2b67fc4a2bdd490bc5fdc04d681
 SHA512 
7b35f86205c6581ede9bdb0788e7f55be525c3f0f77952803046661c6a7a6cd3c15ed0323376ecedb5cddace1b32a41fee1932033dcaa49f9096dc3b9b674f10
 DIST tqdm-4.47.0.tar.gz 145749 BLAKE2B 
77a5efec763a8e58e071ee571077ee0db72d9243308592519ecd2c38f60d6b621fd7362dd87bdd0759a39f25c19cc3cc889e9a8376dc658ed565ca7e19fc68cd
 SHA512 
4023988cef757f43a6f59f7eddc8f40246cbca4994cea91dbb4a788385c0706f376f4c0fd5c8c47146c10eb8c52be2c9d4855b7bea0a5036162c55447aac95d7
+DIST tqdm-4.48.0.tar.gz 148578 BLAKE2B 
95ce438cc14cad5a4ad7b9b2b89b38d5a5c49e27a4ed797ae1a05d7eb3d9539dfaaee72f6330cd5f3f18721ca4259c5ee3f643ae8dd509f1e2261566ee9c3f02
 SHA512 
9c23b103603c5f56f9cc84d04e68950a0e6431cf40db856918f6e2f21aea61fafbbf466eff6d80fc14c40bb2a11dd0be80e801c55adbab02762c36ce9bed31a9

diff --git a/dev-python/tqdm/tqdm-4.48.0.ebuild 
b/dev-python/tqdm/tqdm-4.48.0.ebuild
new file mode 100644
index 00000000000..563276f5d14
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.48.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8,9}} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/tqdm/tqdm";
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+       sed -r \
+               -e "s:'nose'(,[[:space:]]*|)::" \
+               -e "s:'flake8'(,[[:space:]]*|)::" \
+               -e "s:'coverage'(,[[:space:]]*|)::" \
+               -i setup.py
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # tests_main.py requires the package to be installed
+       distutils_install_for_testing
+       # Skip unpredictable performance tests
+       nosetests tqdm -v --ignore 'tests_perf.py' \
+               || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+       doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+       rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+       distutils-r1_python_install --skip-build
+}
+
+python_install_all() {
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to